org.jfree.util

## Interface ExtendedConfiguration

- All Superinterfaces:
    java.lang.Cloneable, Configuration, java.io.Serializable
  All Known Implementing Classes:
    ExtendedConfigurationWrapper

      public interface ExtendedConfiguration
      extends Configuration

  The extended configuration provides methods to make using the configuration easier.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBoolProperty(java.lang.String name)` Returns the boolean value of a given configuration property.
    `boolean` | `getBoolProperty(java.lang.String name, boolean defaultValue)` Returns the boolean value of a given configuration property.
    `int` | `getIntProperty(java.lang.String name)` Returns a given property as int value.
    `int` | `getIntProperty(java.lang.String name, int defaultValue)` Returns a given property as int value.
    `boolean` | `isPropertySet(java.lang.String name)` Checks, whether a given property is defined.

    - ### Methods inherited from interface org.jfree.util.Configuration

      `clone, findPropertyKeys, getConfigProperties, getConfigProperty, getConfigProperty`

- - ### Method Detail

    - #### isPropertySet

          boolean isPropertySet(java.lang.String name)

      Checks, whether a given property is defined.
      Parameters:
        `name` - the name of the property
      Returns:
        true, if the property is defined, false otherwise.

    - #### getIntProperty

          int getIntProperty(java.lang.String name)

      Returns a given property as int value. Zero is returned if the property value is no number or the property is not set.
      Parameters:
        `name` - the name of the property
      Returns:
        the parsed number value or zero

    - #### getIntProperty

          int getIntProperty(java.lang.String name,
                             int defaultValue)

      Returns a given property as int value. The specified default value is returned if the property value is no number or the property is not set.
      Parameters:
        `name` - the name of the property
        `defaultValue` - the value to be returned if the property is no integer value
      Returns:
        the parsed number value or the specified default value

    - #### getBoolProperty

          boolean getBoolProperty(java.lang.String name)

      Returns the boolean value of a given configuration property. The boolean value true is returned, if the contained string is equal to 'true'.
      Parameters:
        `name` - the name of the property
      Returns:
        the boolean value of the property.

    - #### getBoolProperty

          boolean getBoolProperty(java.lang.String name,
                                  boolean defaultValue)

      Returns the boolean value of a given configuration property. The boolean value true is returned, if the contained string is equal to 'true'. If the property is not set, the default value is returned.
      Parameters:
        `name` - the name of the property
        `defaultValue` - the default value to be returned if the property is not set
      Returns:
        the boolean value of the property.